RCUR

Payment Links

List payment links

get https://rcur.app/api/v2/links

Requires your API key as Authorization: Bearer <key>. See authentication.

Query parameters

  • page integer

    Page number for pagination

    Default: 1

Responses

200 List of payment links object
  • data array of Links
    19 child attributes · Link
    • id string required
    • status string required

      One of draft open paid expired

    • active boolean required
    • type string required

      One of payment approval basic-subscription advanced-subscription order mandate debit

    • description string required
    • currency string required

      One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

    • amount string
    • first_amount string nullable
    • interval string nullable

      One of week month quarter year

    • times integer nullable
    • trial_interval string nullable
    • reminder_at string nullable
    • redirect_url_paid string nullable
    • redirect_url_failed string nullable
    • expires_at string nullable
    • created_at string required
    • url string required
    • customer Customer object
      15 child attributes · Customer
      • id string required
      • number string nullable
      • first_name string required
      • last_name string required
      • email string required
      • phone string nullable
      • organization_name string nullable
      • address string nullable
      • postal_code string nullable
      • city string nullable
      • country string nullable
      • vat_number string nullable
      • locale string nullable

        One of nl en fr de es

      • mollie_customer_id string nullable
      • created_at string required
    • subscription Subscription object
      15 child attributes · Subscription
      • id string required
      • name string required
      • status string required

        One of draft active paused cancelled completed

      • start_date string required
      • mollie_mandate_id string
      • mollie_profile_id string
      • next_payment_at string nullable
      • next_amount string nullable
      • last_payment_created_at string nullable
      • resume_at string nullable
      • cancel_at string nullable
      • customer_portal string

        Can the customer pause and cancel this subscription in the customer portal: inherit follows the customer portal settings, allow and deny overrule them

        One of inherit allow deny

      • created_at string required
      • rules array of SubscriptionRules
        8 child attributes · SubscriptionRule
        • id string required
        • amount string required
        • currency string required

          One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

        • interval string required

          One of day week month year

        • interval_amount integer required
        • day integer required
        • times integer nullable
        • times_done integer required
      • customer object
  • links object
    4 child attributes
    • first string
    • last string
    • prev string nullable
    • next string nullable
  • meta object
    7 child attributes
    • current_page integer
    • from integer
    • last_page integer
    • path string
    • per_page integer
    • to integer
    • total integer
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key.